diff -urN linux-2.6.0-test1/arch/mips/arc/identify.c linux-2.6.0-test1-printk-mips/arch/mips/arc/identify.c
--- linux-2.6.0-test1/arch/mips/arc/identify.c	2003-07-13 23:31:50.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/arc/identify.c	2003-07-17 21:06:12.000000000 -0400
@@ -109,7 +109,7 @@
 	} else
 		iname = (char *) (long) p->iname;
 
-	printk("ARCH: %s\n", iname);
+	printk(KERN_INFO "ARCH: %s\n", iname);
 	mach = string_to_mach(iname);
 	system_type = mach->liname;
 
diff -urN linux-2.6.0-test1/arch/mips/au1000/common/clocks.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/clocks.c
--- linux-2.6.0-test1/arch/mips/au1000/common/clocks.c	2003-07-13 23:34:34.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/clocks.c	2003-07-17 19:36:11.000000000 -0400
@@ -85,7 +85,7 @@
 		lcd_clock = sys_busclk / 4;
 
 	if (lcd_clock > 50000) /* Epson MAX */
-			printk("%s: warning: LCD clock too high (%d KHz)\n", 
+			printk(KERN_WARNING "%s: warning: LCD clock too high (%d KHz)\n", 
 					__FUNCTION__, lcd_clock);
 }
 
diff -urN linux-2.6.0-test1/arch/mips/au1000/common/dma.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/dma.c
--- linux-2.6.0-test1/arch/mips/au1000/common/dma.c	2003-07-13 23:38:05.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/dma.c	2003-07-17 19:37:14.000000000 -0400
@@ -203,7 +203,7 @@
 {
 	struct dma_chan *chan = get_dma_chan(dmanr);
 	if (!chan) {
-		printk("Trying to free DMA%d\n", dmanr);
+		printk(KERN_NOTICE "Trying to free DMA%d\n", dmanr);
 		return;
 	}
 
diff -urN linux-2.6.0-test1/arch/mips/au1000/common/irq.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/irq.c
--- linux-2.6.0-test1/arch/mips/au1000/common/irq.c	2003-07-13 23:32:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/irq.c	2003-07-17 19:35:52.000000000 -0400
@@ -137,7 +137,7 @@
 				au_writel(1<<(irq_nr-32), IC1_CFG2CLR);
 				break;
 			default: /* disable the interrupt */
-				printk("unexpected int type %d (irq %d)\n", type, irq_nr);
+				printk(KERN_WARNING "unexpected int type %d (irq %d)\n", type, irq_nr);
 				au_writel(1<<(irq_nr-32), IC1_CFG0CLR);
 				au_writel(1<<(irq_nr-32), IC1_CFG1CLR);
 				au_writel(1<<(irq_nr-32), IC1_CFG2CLR);
@@ -179,7 +179,7 @@
 				au_writel(1<<irq_nr, IC0_CFG2CLR);
 				break;
 			default: /* disable the interrupt */
-				printk("unexpected int type %d (irq %d)\n", type, irq_nr);
+				printk(KERN_WARNING "unexpected int type %d (irq %d)\n", type, irq_nr);
 				au_writel(1<<irq_nr, IC0_CFG0CLR);
 				au_writel(1<<irq_nr, IC0_CFG1CLR);
 				au_writel(1<<irq_nr, IC0_CFG2CLR);
diff -urN linux-2.6.0-test1/arch/mips/au1000/common/prom.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/prom.c
--- linux-2.6.0-test1/arch/mips/au1000/common/prom.c	2003-07-13 23:36:33.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/prom.c	2003-07-17 19:36:50.000000000 -0400
@@ -134,7 +134,7 @@
 
         ethaddr_str = prom_getenv("ethaddr");
 	if (!ethaddr_str) {
-	        printk("ethaddr not set in boot prom\n");
+	        printk(KERN_WARNING "ethaddr not set in boot prom\n");
 		return -1;
 	}
 	str2eaddr(ethernet_addr, ethaddr_str);
@@ -143,10 +143,10 @@
 	{
 		int i;
 
-	printk("get_ethernet_addr: ");
+	printk(KERN_NOTICE "get_ethernet_addr: ");
 	for (i=0; i<5; i++)
-		printk("%02x:", (unsigned char)*(ethernet_addr+i));
-	printk("%02x\n", *(ethernet_addr+i));
+		printk(KERN_NOTICE "%02x:", (unsigned char)*(ethernet_addr+i));
+	printk(KERN_NOTICE "%02x\n", *(ethernet_addr+i));
 	}
 #endif
 
diff -urN linux-2.6.0-test1/arch/mips/au1000/common/time.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/time.c
--- linux-2.6.0-test1/arch/mips/au1000/common/time.c	2003-07-13 23:32:42.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/common/time.c	2003-07-17 19:35:10.000000000 -0400
@@ -205,15 +205,15 @@
 {
         unsigned int est_freq;
 
-	printk("calculating r4koff... ");
+	printk(KERN_INFO "calculating r4koff... ");
 	r4k_offset = cal_r4koff();
-	printk("%08lx(%d)\n", r4k_offset, (int) r4k_offset);
+	printk(KERN_INFO "%08lx(%d)\n", r4k_offset, (int) r4k_offset);
 
 	//est_freq = 2*r4k_offset*HZ;
 	est_freq = r4k_offset*HZ;
 	est_freq += 5000;    /* round */
 	est_freq -= est_freq%10000;
-	printk("CPU frequency %d.%02d MHz\n", est_freq/1000000,
+	printk(KERN_INFO "CPU frequency %d.%02d MHz\n", est_freq/1000000,
 	       (est_freq%1000000)*100/1000000);
  	set_au1x00_speed(est_freq);
  	set_au1x00_lcd_clock(); // program the LCD clock
@@ -284,13 +284,13 @@
 	pc0 = au_readl(SYS_TOYREAD);
 	if (pc0 < last_pc0) {
 		offset = 0xffffffff - last_pc0 + pc0;
-		printk("offset over: %x\n", (unsigned)offset);
+		printk(KERN_NOTICE "offset over: %x\n", (unsigned)offset);
 	}
 	else {
 		offset = (unsigned long)(((pc0 - last_pc0) * 305) / 10);
 	}
 	if ((pc0-last_pc0) > 2*MATCH20_INC) {
-		printk("huge offset %x, last_pc0 %x last_match20 %x pc0 %x\n",
+		printk(KERN_NOTICE "huge offset %x, last_pc0 %x last_match20 %x pc0 %x\n",
 				(unsigned)offset, (unsigned)last_pc0,
 				(unsigned)last_match20, (unsigned)pc0);
 	}
diff -urN linux-2.6.0-test1/arch/mips/au1000/db1x00/setup.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/db1x00/setup.c
--- linux-2.6.0-test1/arch/mips/au1000/db1x00/setup.c	2003-07-13 23:33:11.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/db1x00/setup.c	2003-07-17 19:42:24.000000000 -0400
@@ -200,13 +200,13 @@
 	au_writel(0, 0xAE000010); /* turn off pcmcia power */
 
 #ifdef CONFIG_MIPS_DB1000
-    printk("AMD Alchemy Au1000/Db1000 Board\n");
+    printk(KERN_INFO "AMD Alchemy Au1000/Db1000 Board\n");
 #endif
 #ifdef CONFIG_MIPS_DB1500
-    printk("AMD Alchemy Au1500/Db1500 Board\n");
+    printk(KERN_INFO "AMD Alchemy Au1500/Db1500 Board\n");
 #endif
 #ifdef CONFIG_MIPS_DB1100
-    printk("AMD Alchemy Au1100/Db1100 Board\n");
+    printk(KERN_INFO "AMD Alchemy Au1100/Db1100 Board\n");
 #endif
 }
 
diff -urN linux-2.6.0-test1/arch/mips/au1000/pb1000/setup.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/pb1000/setup.c
--- linux-2.6.0-test1/arch/mips/au1000/pb1000/setup.c	2003-07-13 23:37:27.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/pb1000/setup.c	2003-07-17 19:42:49.000000000 -0400
@@ -164,7 +164,7 @@
 	/* CPU core freq to 384MHz */
 	au_writel(0x20, SYS_CPUPLL);
 
-	printk("Au1000: 48MHz OHCI workaround enabled\n");
+	printk(KERN_INFO "Au1000: 48MHz OHCI workaround enabled\n");
 		break;
 
 	default:  /* HC and newer */
diff -urN linux-2.6.0-test1/arch/mips/au1000/pb1500/setup.c linux-2.6.0-test1-printk-mips/arch/mips/au1000/pb1500/setup.c
--- linux-2.6.0-test1/arch/mips/au1000/pb1500/setup.c	2003-07-13 23:36:33.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/au1000/pb1500/setup.c	2003-07-17 19:42:05.000000000 -0400
@@ -261,7 +261,7 @@
 	rtc_ops = &pb1500_rtc_ops;
 	// Enable the RTC if not already enabled
 	if (!(au_readl(0xac000028) & 0x20)) {
-		printk("enabling clock ...\n");
+		printk(KERN_INFO "enabling clock ...\n");
 		au_writel((au_readl(0xac000028) | 0x20), 0xac000028);
 	}
 	// Put the clock in BCD mode
diff -urN linux-2.6.0-test1/arch/mips/baget/baget.c linux-2.6.0-test1-printk-mips/arch/mips/baget/baget.c
--- linux-2.6.0-test1/arch/mips/baget/baget.c	2003-07-13 23:36:37.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/baget/baget.c	2003-07-16 20:09:47.000000000 -0400
@@ -32,7 +32,7 @@
         while (address < end) {
                 unsigned long page;
                 if (!pte_none(*pte))
-                        printk("kseg2_alloc_io: page already exists\n");
+                        printk(KERN_WARNING "kseg2_alloc_io: page already exists\n");
 		/*
 		 *  For MIPS looks pretty to have transparent mapping
 		 *  for KSEG2 areas  -- user can't access one, and no
diff -urN linux-2.6.0-test1/arch/mips/baget/irq.c linux-2.6.0-test1-printk-mips/arch/mips/baget/irq.c
--- linux-2.6.0-test1/arch/mips/baget/irq.c	2003-07-13 23:35:56.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/baget/irq.c	2003-07-16 20:09:10.000000000 -0400
@@ -201,7 +201,7 @@
 			add_interrupt_randomness(irq);
 		local_irq_disable();
 	} else {
-		printk("do_IRQ: Unregistered IRQ (0x%X) occurred\n", irq);
+		printk(KERN_WARNING "do_IRQ: Unregistered IRQ (0x%X) occurred\n", irq);
 	}
 	unmask_irq(irq);
 	irq_exit();
@@ -214,7 +214,7 @@
  */
 static void vic_reg_error(unsigned long address, unsigned char active_pils)
 {
-	printk("\nNo VIC register found: reg=%08lx active_pils=%02x\n"
+	printk(KERN_ERR "\nNo VIC register found: reg=%08lx active_pils=%02x\n"
 	       "Current interrupt mask from CP0_CAUSE: %02x\n",
 	       address, 0xff & active_pils,
 	       0xff & (read_c0_cause()>>8));
@@ -252,7 +252,7 @@
 				else
 				      vic_reg_error(reg->address, active_pils);
 			} else {
-				printk("baget_interrupt: unknown interrupt "
+				printk(KERN_ERR "baget_interrupt: unknown interrupt "
 				       "(pil = %d)\n", pil);
 			}
 		}
@@ -343,7 +343,7 @@
 	unsigned long flags;
 
 	if (irq >= BAGET_IRQ_NR)
-		printk("Trying to free IRQ%d\n",irq);
+		printk(KERN_NOTICE "Trying to free IRQ%d\n",irq);
 
 	for (p = irq + irq_action; (action = *p) != NULL; p = &action->next) {
 		if (action->dev_id != dev_id)
@@ -358,7 +358,7 @@
 		kfree(action);
 		return;
 	}
-	printk("Trying to free free IRQ%d\n",irq);
+	printk(KERN_NOTICE "Trying to free free IRQ%d\n",irq);
 }
 
 unsigned long probe_irq_on (void)
@@ -393,5 +393,5 @@
 	modify_cp0_intmask(0, (1<<2)|(1<<3));
 
 	if (setup_baget_irq(0, &irq0) < 0)
-		printk("init_IRQ: unable to register write_err irq\n");
+		printk(KERN_WARNING "init_IRQ: unable to register write_err irq\n");
 }
diff -urN linux-2.6.0-test1/arch/mips/baget/setup.c linux-2.6.0-test1-printk-mips/arch/mips/baget/setup.c
--- linux-2.6.0-test1/arch/mips/baget/setup.c	2003-07-13 23:28:56.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/baget/setup.c	2003-07-16 20:03:17.000000000 -0400
@@ -37,33 +37,33 @@
 				     VAC_IOSEL4_CTRL,
 				     VAC_IOSEL5_CTRL };
 
-	printk("[DSACKi %s, DRAMCS%s qualified, boundary%s qualified%s]\n",
+	printk(KERN_INFO "[DSACKi %s, DRAMCS%s qualified, boundary%s qualified%s]\n",
 	       (decode & VAC_DECODE_DSACKI)     ? "on" : "off",
 	       (decode & VAC_DECODE_QFY_DRAMCS) ? ""   : " not",
 	       (decode & VAC_DECODE_QFY_BNDR)   ? ""   : " not",
 	       (decode & VAC_DECODE_FPUCS)      ? ", fpu" : "");
 
-	printk("slave0 ");
+	printk(KERN_INFO "slave0 ");
 	if (decode & VAC_DECODE_RDR_SLSEL0)
-		printk("at %08lx (%d MB)\t[dram %s]\n",
+		printk(KERN_INFO "at %08lx (%d MB)\t[dram %s]\n",
 		       ((unsigned long)vac_inw(VAC_SLSEL0_BASE))<<16,
 		       ((0xffff ^ vac_inw(VAC_SLSEL0_MASK)) + 1) >> 4,
 		       (decode & VAC_DECODE_QFY_SLSEL0) ? "qualified" : "");
 	else
-		printk("off\n");
+		printk(KERN_INFO "off\n");
 
-	printk("slave1 ");
+	printk(KERN_INFO "slave1 ");
 	if (decode & VAC_DECODE_RDR_SLSEL1)
-		printk("at %08lx (%d MB)\t[%s%s, %s]\n",
+		printk(KERN_INFO "at %08lx (%d MB)\t[%s%s, %s]\n",
 		       ((unsigned long)vac_inw(VAC_SLSEL1_BASE))<<16,
 		       ((0xffff ^ vac_inw(VAC_SLSEL1_MASK)) + 1) >> 4,
 		       decode_mode[VAC_DECODE_MODE_VAL(decode)],
 		       address_mode[VAC_DECODE_CMP_SLSEL1_VAL(decode)],
 		       (decode & VAC_DECODE_QFY_SLSEL1) ? "qualified" : "");
 	else
-		printk("off\n");
+		printk(KERN_INFO "off\n");
 
-	printk("icf global at %04x, module at %04x [%s]\n",
+	printk(KERN_INFO "icf global at %04x, module at %04x [%s]\n",
 		       ((unsigned int)
 			VAC_ICFSEL_GLOBAL_VAL(vac_inw(VAC_ICFSEL_BASE)))<<4,
 		       ((unsigned int)
@@ -71,7 +71,7 @@
 		       (decode & VAC_DECODE_QFY_ICFSEL) ? "qualified" : "");
 
 
-	printk("region0 at 00000000 (%dMB)\t[dram, %s, delay %d cpuclk"
+	printk(KERN_INFO "region0 at 00000000 (%dMB)\t[dram, %s, delay %d cpuclk"
 	       ", cached]\n",
 	       (vac_inw(VAC_DRAM_MASK)+1)>>4,
 	       (decode & VAC_DECODE_DSACK) ? "D32" : "3state",
@@ -87,7 +87,7 @@
 
 
 		val = vac_inw(regs[i]);
-		printk("region%d at %08lx (%dMB)\t[%s %s/%s, %s]\n",
+		printk(KERN_INFO "region%d at %08lx (%dMB)\t[%s %s/%s, %s]\n",
 		       i+1,
 		       from,
 		       (unsigned int)((to - from) >> 20),
@@ -97,7 +97,7 @@
 		       CACHEABLE_STR(val&VAC_A24_A24_CACHINH));
 
 		if (a24_addr >= from && a24_addr < to)
-			printk("\ta24 at %08lx (%dMB)\t[vme, A24/%s, %s]\n",
+			printk(KERN_INFO "\ta24 at %08lx (%dMB)\t[vme, A24/%s, %s]\n",
 			       a24_addr,
 			       min((unsigned int)(a24_addr - from)>>20, 32U),
 			       (a24_base & VAC_A24_DATAPATH) ?  "user" :
@@ -106,9 +106,9 @@
 			       CACHEABLE_STR(a24_base & VAC_A24_A24_CACHINH));
 	}
 
-	printk("region4 at ff000000 (15MB)\t[eprom]\n");
+	printk(KERN_INFO "region4 at ff000000 (15MB)\t[eprom]\n");
 	val = vac_inw(VAC_EPROMCS_CTRL);
-	printk("\t[ack %d cpuclk%s, %s%srecovery %d cpuclk, "
+	printk(KERN_INFO "\t[ack %d cpuclk%s, %s%srecovery %d cpuclk, "
 	       "read %d%s, write %d%s, assert %d%s]\n",
 	       VAC_CTRL_DELAY_DSACKI_VAL(val),
 	       state[val & (VAC_CTRL_IORD|VAC_CTRL_IOWR)],
@@ -122,12 +122,12 @@
 	       VAC_CTRL_DELAY_IOSELI_VAL(val)/2,
 	       (VAC_CTRL_DELAY_IOSELI_VAL(val)&1) ? ".5" : "");
 
-	printk("region5 at fff00000 (896KB)\t[local io, %s]\n",
+	printk(KERN_INFO "region5 at fff00000 (896KB)\t[local io, %s]\n",
 	       CACHEABLE_STR(vac_inw(VAC_A24_BASE) & VAC_A24_IO_CACHINH));
 
 	for (i = 0; i < sizeof(io_sels)/sizeof(io_sels[0]); i++) {
 		val = vac_inw(io_sels[i]);
-		printk("\tio%d[ack %d cpuclk%s, %s%srecovery %d cpuclk, "
+		printk(KERN_INFO "\tio%d[ack %d cpuclk%s, %s%srecovery %d cpuclk, "
 		       "\n\t read %d%s cpuclk, write %d%s cpuclk, "
 		       "assert %d%s%s cpuclk]\n",
 		       i,
@@ -146,13 +146,13 @@
 		          ", id" : "");
 	}
 
-	printk("region6 at fffe0000 (128KB)\t[vme, A16/%s, "
+	printk(KERN_INFO "region6 at fffe0000 (128KB)\t[vme, A16/%s, "
 	       "not cached]\n",
 	       (a24_base & VAC_A24_A16D32_ENABLE) ?
 	       ((a24_base & VAC_A24_A16D32) ? "D32" : "D16") : "user");
 
 	val = vac_inw(VAC_SHRCS_CTRL);
-	printk("shared[ack %d cpuclk%s, %s%srecovery %d cpuclk, "
+	printk(KERN_INFO "shared[ack %d cpuclk%s, %s%srecovery %d cpuclk, "
 	       "read %d%s, write %d%s, assert %d%s]\n",
 	       VAC_CTRL_DELAY_DSACKI_VAL(val),
 	       state[val & (VAC_CTRL_IORD|VAC_CTRL_IOWR)],
@@ -173,10 +173,10 @@
 
 	switch(vac_inw(VAC_ID)) {
 	case 0x1AC0:
-		printk("VAC068-F5: ");
+		printk(KERN_INFO "VAC068-F5: ");
 		break;
 	case 0x1AC1:
-		printk("VAC068A: ");
+		printk(KERN_INFO "VAC068A: ");
 		break;
 	default:
 		panic("Unknown VAC revision number");
@@ -310,52 +310,52 @@
 
 	val = vic_inb(VIC_IFACE_CFG);
 	if (val & VIC_IFACE_CFG_VME)
-		printk("VMEbus controller ");
+		printk(KERN_INFO "VMEbus controller ");
 	if (val & VIC_IFACE_CFG_TURBO)
-		printk("turbo ");
+		printk(KERN_INFO "turbo ");
 	if (val & VIC_IFACE_CFG_MSTAB)
-		printk("metastability delay ");
-	printk("%s ",
+		printk(KERN_INFO "metastability delay ");
+	printk(KERN_INFO "%s ",
 	       deadlock[VIC_IFACE_CFG_DEADLOCK_VAL(val)]);
 
 
-	printk("interrupts: ");
+	printk(KERN_INFO "interrupts: ");
 	val = vic_inb(VIC_ERR_INT);
 	if (!(val & VIC_ERR_INT_SYSFAIL))
-		printk("[sysfail]");
+		printk(KERN_INFO "[sysfail]");
 	if (!(val & VIC_ERR_INT_TIMO))
-		printk("[timeout]");
+		printk(KERN_INFO "[timeout]");
 	if (!(val & VIC_ERR_INT_WRPOST))
-		printk("[write post]");
+		printk(KERN_INFO "[write post]");
 	if (!(val & VIC_ERR_INT_ACFAIL))
-		printk("[acfail] ");
-	printk("\n");
+		printk(KERN_INFO "[acfail] ");
+	printk(KERN_INFO "\n");
 
-	printk("timeouts: ");
+	printk(KERN_INFO "timeouts: ");
 	val = vic_inb(VIC_XFER_TIMO);
-	printk("local %s, vme %s ",
+	printk(KERN_INFO "local %s, vme %s ",
 	       timeout[VIC_XFER_TIMO_LOCAL_PERIOD_VAL(val)],
 	       timeout[VIC_XFER_TIMO_VME_PERIOD_VAL(val)]);
 	if (val & VIC_XFER_TIMO_VME)
-		printk("acquisition ");
+		printk(KERN_INFO "acquisition ");
 	if (val & VIC_XFER_TIMO_ARB)
-		printk("arbitration ");
-	printk("\n");
+		printk(KERN_INFO "arbitration ");
+	printk(KERN_INFO "\n");
 
 	val = vic_inb(VIC_LOCAL_TIM);
-	printk("pas time: (%d,%d), ds time: %d\n",
+	printk(KERN_INFO "pas time: (%d,%d), ds time: %d\n",
 	       VIC_LOCAL_TIM_PAS_ASSERT_VAL(val),
 	       VIC_LOCAL_TIM_PAS_DEASSERT_VAL(val),
 	       VIC_LOCAT_TIM_DS_DEASSERT_VAL(val));
 
 	val = vic_inb(VIC_BXFER_DEF);
-	printk("dma: ");
+	printk(KERN_INFO "dma: ");
 	if (val & VIC_BXFER_DEF_DUAL)
-		printk("[dual path]");
+		printk(KERN_INFO "[dual path]");
 	if (val & VIC_BXFER_DEF_LOCAL_CROSS)
-		printk("[local boundary cross]");
+		printk(KERN_INFO "[local boundary cross]");
 	if (val & VIC_BXFER_DEF_VME_CROSS)
-		printk("[vme boundary cross]");
+		printk(KERN_INFO "[vme boundary cross]");
 
 }
 
@@ -364,7 +364,7 @@
 	 unsigned char id = vic_inb(VIC_ID);
 	 if ((id & 0xf0) != 0xf0)
 		 panic("VIC not found");
-	 printk(" VIC068A Rev. %X: ", id & 0x0f);
+	 printk(KERN_INFO " VIC068A Rev. %X: ", id & 0x0f);
 
 	 vic_outb(VIC_INT_IPL(3)|VIC_INT_DISABLE,VIC_VME_II);
 	 vic_outb(VIC_INT_IPL(3)|VIC_INT_DISABLE,VIC_VME_INT1);
@@ -472,7 +472,7 @@
 
 void __init baget_setup(void)
 {
-	printk("BT23/63-201n found.\n");
+	printk(KERN_INFO "BT23/63-201n found.\n");
 	*BAGET_WRERR_ACK = 0;
 	irq_setup = baget_irq_setup;
 
diff -urN linux-2.6.0-test1/arch/mips/baget/time.c linux-2.6.0-test1-printk-mips/arch/mips/baget/time.c
--- linux-2.6.0-test1/arch/mips/baget/time.c	2003-07-13 23:28:54.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/baget/time.c	2003-07-16 20:00:19.000000000 -0400
@@ -71,7 +71,7 @@
 void __init time_init(void)
 {
 	if (setup_baget_irq(BAGET_VIC_TIMER_IRQ, &timer_irq) < 0)
-		printk("time_init: unable request irq for system timer\n");
+		printk(KERN_ERR "time_init: unable request irq for system timer\n");
 	timer_enable();
 	/* We don't call sti() here, because it is too early for baget */
 }
diff -urN linux-2.6.0-test1/arch/mips/cobalt/reset.c linux-2.6.0-test1-printk-mips/arch/mips/cobalt/reset.c
--- linux-2.6.0-test1/arch/mips/cobalt/reset.c	2003-07-13 23:28:55.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/cobalt/reset.c	2003-07-16 20:17:55.000000000 -0400
@@ -63,6 +63,6 @@
  */
 void cobalt_machine_power_off(void)
 {
-	printk("You can switch the machine off now.\n");
+	printk(KERN_NOTICE "You can switch the machine off now.\n");
 	cobalt_machine_halt();
 }
diff -urN linux-2.6.0-test1/arch/mips/cobalt/via.c linux-2.6.0-test1-printk-mips/arch/mips/cobalt/via.c
--- linux-2.6.0-test1/arch/mips/cobalt/via.c	2003-07-13 23:29:27.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/cobalt/via.c	2003-07-16 20:19:17.000000000 -0400
@@ -44,11 +44,11 @@
 				outb(0x22, 0x20);
 				outb((sstat & 0x7f) | 0x20, 0xA0);
 			} else {
-				printk("Spurious slave interrupt...\n");
+				printk(KERN_NOTICE "Spurious slave interrupt...\n");
 			}
 		}
 	} else
-		printk("Spurious master interrupt...");
+		printk(KERN_NOTICE "Spurious master interrupt...");
 }
 
 asmlinkage void galileo_irq(struct pt_regs *regs)
@@ -63,5 +63,5 @@
 		GALILEO_OUTL(0, GT_INTRCAUSE_OFS);
 		do_IRQ(COBALT_TIMER_IRQ, regs);
 	} else
-		printk("Spurious Galileo interrupt...\n");
+		printk(KERN_NOTICE "Spurious Galileo interrupt...\n");
 }
diff -urN linux-2.6.0-test1/arch/mips/ddb5xxx/common/irq.c linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/common/irq.c
--- linux-2.6.0-test1/arch/mips/ddb5xxx/common/irq.c	2003-07-13 23:36:41.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/common/irq.c	2003-07-17 20:13:27.000000000 -0400
@@ -23,7 +23,7 @@
 	extern void breakpoint(void);
 	extern void set_debug_traps(void);
 
-	printk("Wait for gdb client connection ...\n");
+	printk(KERN_INFO "Wait for gdb client connection ...\n");
 	set_debug_traps();
 	breakpoint();
 #endif
diff -urN linux-2.6.0-test1/arch/mips/ddb5xxx/common/prom.c linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/common/prom.c
--- linux-2.6.0-test1/arch/mips/ddb5xxx/common/prom.c	2003-07-13 23:37:27.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/common/prom.c	2003-07-17 20:13:39.000000000 -0400
@@ -132,7 +132,7 @@
 	 */
 	board_ram_size = 1 << (36 - (ddb_in32(DDB_SDRAM0) & 0xf));
 
-	db_run(printk("DDB run-time detection : %s, %d MB RAM\n",
+	db_run(printk(KERN_INFO "DDB run-time detection : %s, %d MB RAM\n",
 				mips_machtype == MACH_NEC_DDB5477 ?
 				"DDB5477" : "Rockhopper",
 				board_ram_size >> 20));
diff -urN linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5074/irq.c linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5074/irq.c
--- linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5074/irq.c	2003-07-13 23:38:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5074/irq.c	2003-07-17 20:13:06.000000000 -0400
@@ -80,10 +80,10 @@
 	outb(0x0c, M1543_PNP_DATA);
 
 	outb(0x30, M1543_PNP_INDEX);
-	printk("device 7, 0x30: %02x\n",inb(M1543_PNP_DATA));
+	printk(KERN_INFO "device 7, 0x30: %02x\n",inb(M1543_PNP_DATA));
 
 	outb(0x70, M1543_PNP_INDEX);
-	printk("device 7, 0x70: %02x\n",inb(M1543_PNP_DATA));
+	printk(KERN_INFO "device 7, 0x70: %02x\n",inb(M1543_PNP_DATA));
 
 	/* Leave configration mode */
 	outb(0xbb, M1543_PNP_CONFIG);
@@ -121,17 +121,17 @@
 
 void ddb_local1_irqdispatch(void)
 {
-	printk("ddb_local1_irqdispatch called\n");
+	printk(KERN_NOTICE "ddb_local1_irqdispatch called\n");
 }
 
 void ddb_buserror_irq(void)
 {
-	printk("ddb_buserror_irq called\n");
+	printk(KERN_NOTICE "ddb_buserror_irq called\n");
 }
 
 void ddb_8254timer_irq(void)
 {
-	printk("ddb_8254timer_irq called\n");
+	printk(KERN_NOTICE "ddb_8254timer_irq called\n");
 }
 
 void __init ddb_irq_setup(void)
@@ -153,11 +153,11 @@
 	init_i8259_irqs();
 
 
-	printk("CPU_IRQ_BASE: %d\n",CPU_IRQ_BASE);
+	printk(KERN_NOTICE "CPU_IRQ_BASE: %d\n",CPU_IRQ_BASE);
 
 	mips_cpu_irq_init(CPU_IRQ_BASE);
 
-	printk("enabling 8259 cascade\n");
+	printk(KERN_NOTICE "enabling 8259 cascade\n");
 
 	ddb5074_led_hex(0);
 
diff -urN linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5074/setup.c linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5074/setup.c
--- linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5074/setup.c	2003-07-13 23:36:43.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5074/setup.c	2003-07-17 20:12:18.000000000 -0400
@@ -62,14 +62,14 @@
 
 static void ddb_machine_halt(void)
 {
-	printk("DDB Vrc-5074 halted.\n");
+	printk(KERN_NOTICE "DDB Vrc-5074 halted.\n");
 	do {
 	} while (1);
 }
 
 static void ddb_machine_power_off(void)
 {
-	printk("DDB Vrc-5074 halted. Please turn off the power.\n");
+	printk(KERN_NOTICE "DDB Vrc-5074 halted. Please turn off the power.\n");
 	do {
 	} while (1);
 }
diff -urN linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5477/debug.c linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5477/debug.c
--- linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5477/debug.c	2003-07-13 23:31:22.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5477/debug.c	2003-07-17 20:10:42.000000000 -0400
@@ -28,9 +28,9 @@
 {
 	int i;
 
-	printk("\nshow regs: %s\n", name);
+	printk(KERN_EMERG "\nshow regs: %s\n", name);
 	for(i=0;regs[i].regname!= NULL; i++) {
-		printk("%-16s= %08x\t\t(@%08x)\n",
+		printk(KERN_EMERG "%-16s= %08x\t\t(@%08x)\n",
 		       regs[i].regname,
 		       *(unsigned *)(regs[i].regaddr),
 		       regs[i].regaddr);
@@ -56,8 +56,8 @@
 void vrc5477_show_int_regs()
 {
 	jsun_show_regs("interrupt registers", int_regs);
-	printk("CPU CAUSE = %08x\n", read_c0_cause());
-	printk("CPU STATUS = %08x\n", read_c0_status());
+	printk(KERN_EMERG "CPU CAUSE = %08x\n", read_c0_cause());
+	printk(KERN_EMERG "CPU STATUS = %08x\n", read_c0_status());
 }
 static Register pdar_regs[] = {
         {"DDB_SDRAM0", DDB_BASE + DDB_SDRAM0},
diff -urN linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5477/irq.c linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5477/irq.c
--- linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5477/irq.c	2003-07-13 23:30:42.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5477/irq.c	2003-07-17 20:09:09.000000000 -0400
@@ -82,7 +82,7 @@
 void
 ddb5477_irq_setup(void)
 {
-	db_run(printk("ddb5477_irq_setup invoked.\n"));
+	db_run(printk(KERN_NOTICE "ddb5477_irq_setup invoked.\n"));
 
 	/* by default, we disable all interrupts and route all vrc5477
 	 * interrupts to pin 0 (irq 2) */
diff -urN linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5477/setup.c linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5477/setup.c
--- linux-2.6.0-test1/arch/mips/ddb5xxx/ddb5477/setup.c	2003-07-13 23:37:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/ddb5xxx/ddb5477/setup.c	2003-07-17 20:11:49.000000000 -0400
@@ -72,13 +72,13 @@
 
 static void ddb_machine_halt(void)
 {
-	printk("DDB Vrc-5477 halted.\n");
+	printk(KERN_NOTICE "DDB Vrc-5477 halted.\n");
 	while (1);
 }
 
 static void ddb_machine_power_off(void)
 {
-	printk("DDB Vrc-5477 halted. Please turn off the power.\n");
+	printk(KERN_NOTICE "DDB Vrc-5477 halted. Please turn off the power.\n");
 	while (1);
 }
 
@@ -99,7 +99,7 @@
 	c= *(volatile unsigned char*)rtc_base;
 	for(i=0; (c == *(volatile unsigned char*)rtc_base) && (i<100000000); i++);
 	if (c == *(volatile unsigned char*)rtc_base) {
-		printk("Failed to detect bus frequency.  Use default 83.3MHz.\n");
+		printk(KERN_INFO "Failed to detect bus frequency.  Use default 83.3MHz.\n");
 		return 83333000;
 	}
 
@@ -118,7 +118,7 @@
 	ddb_out32(SP_TIMER_BASE+4, 0x0);	/* disable it again */
 
 	freq = (t1 - t2)*10;
-	printk("DDB bus frequency detection : %u \n", freq);
+	printk(KERN_INFO "DDB bus frequency detection : %u \n", freq);
 	return freq;
 }
 
@@ -340,7 +340,7 @@
 		dev_m1533.devfn       = 7*8;     // slot 7: M1533 SouthBridge.
 		pci_read_config_word(&dev_m1533, 0, &vid);
 		if (vid == PCI_VENDOR_ID_AL) {
-			printk("Changing mips_machtype to MACH_NEC_ROCKHOPPERII\n");
+			printk(KERN_INFO "Changing mips_machtype to MACH_NEC_ROCKHOPPERII\n");
 			mips_machtype = MACH_NEC_ROCKHOPPERII;
 		}
 	}
@@ -354,7 +354,7 @@
 	
 	if (mips_machtype == MACH_NEC_ROCKHOPPERII) {
 #ifdef CONFIG_PC_KEYB
-	printk("kdb_ops is std\n");
+	printk(KERN_INFO "kdb_ops is std\n");
 	kbd_ops = &std_kbd_ops;
 #endif                     
 	}
@@ -427,7 +427,7 @@
 
 	if (mips_machtype == MACH_NEC_ROCKHOPPER
 	   ||  mips_machtype == MACH_NEC_ROCKHOPPERII) {
-		printk("lcd44780: initializing\n");
+		printk(KERN_INFO "lcd44780: initializing\n");
 		lcd44780_init();
 		lcd44780_puts("MontaVista Linux");
 	}
diff -urN linux-2.6.0-test1/arch/mips/dec/prom/memory.c linux-2.6.0-test1-printk-mips/arch/mips/dec/prom/memory.c
--- linux-2.6.0-test1/arch/mips/dec/prom/memory.c	2003-07-13 23:28:51.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/dec/prom/memory.c	2003-07-16 15:33:56.000000000 -0400
@@ -123,6 +123,6 @@
 		addr += PAGE_SIZE;
 	}
 
-	printk("Freeing unused PROM memory: %ldk freed\n",
+	printk(KERN_NOTICE "Freeing unused PROM memory: %ldk freed\n",
 	       (end - PAGE_SIZE) >> 10);
 }
diff -urN linux-2.6.0-test1/arch/mips/dec/time.c linux-2.6.0-test1-printk-mips/arch/mips/dec/time.c
--- linux-2.6.0-test1/arch/mips/dec/time.c	2003-07-13 23:37:17.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/dec/time.c	2003-07-16 15:35:33.000000000 -0400
@@ -107,7 +107,7 @@
 
 	/* .. relative to previous jiffy (32 bits is enough) */
 	count -= timerlo;
-//printk("count: %08lx, %08lx:%08lx\n", count, timerhi, timerlo);
+/* printk(KERN_DEBUG "count: %08lx, %08lx:%08lx\n", count, timerhi, timerlo); */
 
 	__asm__("multu	%2,%3"
 		: "=l" (tmp), "=h" (res)
@@ -148,7 +148,7 @@
 
 	/* .. relative to previous jiffy (32 bits is enough) */
 	count -= timerlo;
-//printk("count: %08x, %08x:%08x\n", count, timerhi, timerlo);
+/* printk(KERN_DEBUG "count: %08x, %08x:%08x\n", count, timerhi, timerlo); */
 
 	__asm__("multu	%2,%3"
 		: "=l" (tmp), "=h" (res)
diff -urN linux-2.6.0-test1/arch/mips/galileo-boards/ev64120/irq-handler.c linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev64120/irq-handler.c
--- linux-2.6.0-test1/arch/mips/galileo-boards/ev64120/irq-handler.c	2003-07-13 23:37:31.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev64120/irq-handler.c	2003-07-16 19:58:38.000000000 -0400
@@ -182,7 +182,7 @@
 	 */
 	if (handled == 0) {
 		if (counter < 50) {
-			printk("Spurious Galileo interrupt...\n");
+			printk(KERN_NOTICE "Spurious Galileo interrupt...\n");
 			counter++;
 		}
 	}
diff -urN linux-2.6.0-test1/arch/mips/galileo-boards/ev96100/init.c linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev96100/init.c
--- linux-2.6.0-test1/arch/mips/galileo-boards/ev96100/init.c	2003-07-13 23:30:41.000000000 -0400
+++ linux-2.6.0-test1-printk-mips/arch/mips/galileo-boards/ev96100/init.c	2003-07-16 19:56:18.000000000 -0400
@@ -133,18 +133,18 @@
 
 	ethaddr_str = prom_getenv("ethaddr");
 	if (!ethaddr_str) {
-		printk("ethaddr not set in boot prom\n");
+		printk(KERN_WARNING "ethaddr not set in boot prom\n");
 		return -1;
 	}
 	str2eaddr(ethernet_addr, ethaddr_str);
 
 	if (init_debug > 1) {
 		int i;
-		printk("get_ethernet_addr: ");
+		printk(KERN_DEBUG "get_ethernet_addr: ");
 		for (i = 0; i < 5; i++)
-			printk("%02x:",
+			printk(KERN_DEBUG "%02x:",
 			       (unsigned char) *(ethernet_addr + i));
-		printk("%02x\n", *(ethernet_addr + i));
+		printk(KERN_DEBUG "%02x\n", *(ethernet_addr + i));
 	}
 
 	return 0;
